Bug 736440 - Failures based on authorization should return valid json
Summary: Failures based on authorization should return valid json
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-07 17:17 UTC by Bryan Kearney
Modified: 2019-02-25 21:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:56:15 UTC


Attachments (Terms of Use)

Description Bryan Kearney 2011-09-07 17:17:26 UTC
based on bug 736438, permission failures should return valid json objects which can be parsed by the client. Looking at candlepin, body text like this:

{
    displayMessage: "Insufficient permissions"
}

would be nice.

-- bk

Comment 1 Lukas Zapletal 2011-09-08 13:30:39 UTC
But only for /api controllers I guess.

Comment 2 Tomas Strachota 2011-09-08 15:32:37 UTC
Fixed

commit e67933c6fcf7d59eb98e26be21739833f3724e0c
Author: Tomas Strachota <tstrachota@redhat.com>
Date:   Thu Sep 8 17:18:15 2011 +0200

    736440 - Failures based on authorization return valid json

Comment 3 Bryan Kearney 2011-09-08 22:15:51 UTC
(In reply to comment #1)
> But only for /api controllers I guess.

Yes.

Comment 4 Bryan Kearney 2011-09-09 16:54:31 UTC
I got a good error, thanks!


Note You need to log in before you can comment on or make changes to this bug.